### Method

# Soup Session has_feature

#### Declaration [src]

    gboolean
    soup_session_has_feature (
      SoupSession* session,
      GType feature_type
    )

#### Description [src]

Tests if `session` has at a feature of type `feature_type` (which can be the type of either a `SoupSessionFeature`, or else a subtype of some class managed by another feature, such as `SoupAuth`).

#### Parameters

`feature_type` | `GType`
| The `GType` of the class of features to check for.

#### Return value

Returns: | `gboolean`
| `TRUE` or `FALSE`.